package com.gic.operation.web.qo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 灰度配置
 * @author jiaotianqi
 * @date 2021/7/15 15:55
 */
public class GrayConfigQo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 是否开启灰度
     */
    @NotNull(message = "是否开启灰度不能为空")
    private Boolean grayEnable;
    /**
     * 灰度类型
     * 1 全部走灰度 2 指定企业走灰度 3 全部走非灰度
     */
    @NotNull(message = "灰度类型不能为空")
    private Integer grayType;
    /**
     * 模块名称  新增需要 更新不需要
     */
    private String moduleName;

    /**
     * 是否是前端项目  新增需要 更新不需要
     */
    private Boolean frontEnd;

    /**
     * 应用名称
     */
    private List<String> applicationNameList;


    public String getModuleName() {
        return moduleName;
    }

    public Boolean getFrontEnd() {
        return frontEnd;
    }

    public void setFrontEnd(Boolean frontEnd) {
        this.frontEnd = frontEnd;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public List<String> getApplicationNameList() {
        return applicationNameList;
    }

    public void setApplicationNameList(List<String> applicationNameList) {
        this.applicationNameList = applicationNameList;
    }

    public Boolean getGrayEnable() {
        return grayEnable;
    }

    public void setGrayEnable(Boolean grayEnable) {
        this.grayEnable = grayEnable;
    }

    public Integer getGrayType() {
        return grayType;
    }

    public void setGrayType(Integer grayType) {
        this.grayType = grayType;
    }


}
